<xml></xml>

Saxon API for .NET |

# XPathCompiler Members

XPathCompiler overview

#### Public Instance Properties

BackwardsCompatible | XPath 1.0 Backwards Compatibility Mode. If true, backwards compatibility mode is set. In backwards compatibility mode, more implicit type conversions are allowed in XPath expressions, for example it is possible to compare a number with a string. The default is false (backwards compatibility mode is off).
BaseUri | The base URI of the expression, which forms part of the static context of the expression. This is used for resolving any relative URIs appearing within the expression, for example in references to library modules, schema locations, or as an argument to the `doc()` function.

#### Public Instance Methods

Compile | Compile an expression supplied as a String.
DeclareNamespace | Declare a namespace for use by the XPath expression.
DeclareVariable | Declare a variable for use by the XPath expression. If the expression refers to any variables, then they must be declared here.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XPathCompiler Class | Saxon.Api Namespace